Next: SHAPE, Previous: SELECTED_REAL_KIND, Up: Intrinsic Procedures [Contents][Index]

### 9.232 `SET_EXPONENT` — Set the exponent of the model

Description:

  `SET_EXPONENT(X, I)` returns the real number whose fractional part is that that of X and whose exponent part is I.

Standard:

  Fortran 95 and later

Class:

  Elemental function

Syntax:

  `RESULT = SET_EXPONENT(X, I)`

Arguments:

  X | Shall be of type `REAL`.
  I | Shall be of type `INTEGER`.

Return value:

  The return value is of the same type and kind as X. The real number whose fractional part is that that of X and whose exponent part if I is returned; it is `FRACTION(X) * RADIX(X)**I`.

Example:

      PROGRAM test_setexp
        REAL :: x = 178.1387e-4
        INTEGER :: i = 17
        PRINT *, SET_EXPONENT(x, i), FRACTION(x) * RADIX(x)**i
      END PROGRAM